Subject: Re: bug#32581: 24.4; make recover-file a prompt instead of a warning

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 14 Jul 2019 14:50:46 +0200

Glenn Linderman <[email-masked]> writes:

> This is a very interesting idea. It is only when you go to edit that
> you would lose the auto-save file, so that would be a "last-chance" to
> retrieve your data, and you would be interacting with the file at that
> point anyway, so a forced interaction would be less intrusive than at
> load time.

Yes, I think that warning about the auto-saved file when you try to edit
the new file has possibilities...  I'm wondering whether there would be
any adverse effects somehow.  Emacs has a number of things that warn
about editing files -- that it's changed on disk, or that another Emacs
process has the file locked, and now checking for auto-saved files in
the same area would perhaps add unforeseen complications.

But perhaps we should just try and see what it feels like in practice.

> My thought was more along the lines of some sort of message priority, where
> informational messages like the abbrev-file-name warning could not override a
> more important message... Of course, everyone thinks there message is most
> important, so that might be difficult to enforce or rank.

We do have a very primitive sort of message priority -- i.e., we have
some things that are so bad that we pop up the *Warnings* buffer.  But I
think that's too intrusive for auto-saved files.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no